### Method

# AppStreamCompose Result add_component_with_string

#### Declaration [src]

    gboolean
    asc_result_add_component_with_string (
      AscResult* result,
      AsComponent* cpt,
      const gchar* data,
      GError** error
    )

#### Description [src]

Add component to the results set, using string data.

#### Parameters

`cpt`

  Type: `AsComponent`

  The `AsComponent` to add.

  The data is owned by the caller of the method.

`data`

  Type: `const gchar*`

  Source data used to generate the GCID hash, or `NULL` if nonexistent.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will be left initialized to `NULL` by the method if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.

#### Return value

Type: `gboolean`

`TRUE` on success.